{% extends "layout.html" %}
{% block content %}
	{#	<p>{{ appointments_data }}</p>#}
	<div class="row">
		{% if hide_add_btn %}
			<div style="padding-right: 0; padding-bottom: 10px">
				<a href="{{ url_for('patient.appointments-add') }}" class="btn btn-primary" style="float: right;">Add
					Appointments</a>
			</div>
		{% endif %}
		<table border="1" id="doctor_list" cellpadding="10">
			<tr>
				<th>Diseases</th>
				<th>{{ 'Doctors' if hide_add_btn else 'Patients' }}</th>
				<th>Datetime</th>
				<th>Approved</th>
				<th>Action</th>
			</tr>
			<tr>
				<td colspan="5">
					<hr>
				</td>
			</tr>
			{% if appointments_data %}
				{% for ap_data in appointments_data %}
					<tr style="line-height: 2" id={{ ap_data.id }}>
						<td>{{ ap_data.name }}</td>
						<td>{{ ap_data[1] }}</td>
						<td>{{ ap_data.apt_datetime }}</td>
						<td>{{ 'Yes' if ap_data.is_approved else 'No' }}</td>
						{% if not ap_data.is_approved %}
							{% if hide_add_btn %}
								<td>
									<a href="{{ url_for('patient.appointments-update', appointment_id=ap_data.id) }}"
									   style="padding-right:
								10px"><i class="fas fa-edit"></i></a>
									{#								<a href="{{ url_for('patient.appointments-delete', appointment_id=ap_data.id) }}"#}
									{#								   onclick="return confirm('Are you sure you want to delete this Appointment?');">#}
									{#									<i class="fas fa-trash"></i></a>#}
									<a href="javascript:void(0)" class="delete_appointment" data-id={{ ap_data.id }}><i
											class="fas fa-trash"></i></a>
								</td>
							{% else %}
								<td>
									<a href="{{ url_for('doctor.update_appointment_status', type=1, appointment_id=ap_data
									.id) }}" class="btn btn-outline-success" id="approved_apt" title="Approve">
										<i class="fas fa-check"></i>
									</a>
									<a href="{{ url_for('doctor.update_appointment_status', type=2, appointment_id=ap_data
									.id) }}" class="btn btn-outline-danger" id="reject_apt" title="Reject">
										<i class="fas fa-times"></i>
									</a>
								</td>
							{% endif %}
						{% else %}
							<td> -</td>
						{% endif %}
					</tr>
				{% endfor %}
			{% else %}
				<tr>
					<td colspan="6" align="center">No Data Found</td>
				</tr>
			{% endif %}
		</table>
	</div>
{% endblock content %}
{% block jquery %}
	<script src="{{ url_for('static', filename='js/appointment_list.js') }}"></script>
{% endblock jquery %}